Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#41800 - [autofs] should be built with --disable-sloppy-mount

Attached to Project: Community Packages
Opened by Johannes Schlatow (vali) - Wednesday, 03 September 2014, 08:58 GMT
Last edited by Doug Newgard (Scimmia) - Wednesday, 03 September 2014, 13:29 GMT
Task Type Bug Report
Category Packages
Status Assigned
Assigned To Lukas Fleischer (lfleischer)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 0
Private No

Details

Description:
The current autofs package (5.1.0) is compiled with the sloppy mount option "-s" enabled by default.
Unfortunately, this breaks the automount being able to work with crypt file systems because the mount.crypt, which is provided by pam_mount, does not support the "-s" option and therefore fails to mount the device.

Package versions:
* autofs 5.1.0-2
* pam_mount 2.14-1
This task depends upon

Loading...